[data-component-id="incmty:hero"] {
  position: relative;
  margin: 0 !important;
  overflow: hidden;
  height: 100%;

  & .slick-list,
  & .slick-track {
    height: 100%;
  }

  &[data-fixed-height='1'] {
    & [data-component-id="incmty:hero_slide"] {
      height: 360px !important;
    }
  }

  & .slick-dots {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    margin: 0;
    width: 100%;
    box-sizing: border-box;
    overflow: visible;

    & li {
      margin: 0;
      width: 48px;
      height: 48px;
      flex-shrink: 0;

      & button {
        position: relative;
        padding: 18px;
        width: 48px;
        height: 48px;
        overflow: visible;

        &::before {
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 12px;
          height: 12px;
          line-height: 12px;
          color: rgba(255, 255, 255, 0.25);
          background-color: var(--white-color);
          border-radius: 50%;
          box-sizing: border-box;
        }

        &:focus {
          box-shadow: none;
        }
      }

      &.slick-active {
        & button {
          &::before {
            background-color: var(--white-color);
            color: var(--white-color);
            border-radius: 50%;
            opacity: 1;
          }
        }
      }
    }
  }
}

@media (min-width: 768px) {
  [data-component-id="incmty:hero"] {
    &[data-fixed-height='1'] {
      & [data-component-id="incmty:hero_slide"] {
        height: 427px !important;
      }
    }
  }
}

@media (min-width: 1024px) {
  [data-component-id="incmty:hero"] {
    &[data-fixed-height='1'] {
      & [data-component-id="incmty:hero_slide"] {
        height: 470px !important;
      }
    }
  }
}

@media (min-width: 1280px) {
  [data-component-id="incmty:hero"] {
    &[data-fixed-height='1'] {
      & [data-component-id="incmty:hero_slide"] {
        height: 512px !important;
      }
    }
  }
}

@media (min-width: 1440px) {
  [data-component-id="incmty:hero"] {
    &[data-fixed-height='1'] {
      & [data-component-id="incmty:hero_slide"] {
        height: 576px !important;
      }
    }
  }
}
